Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.resourcepool
Interface EventSupportingResourcePool

All Superinterfaces:
  com.mchange.v1.util.ClosableResource, ResourcePool

    public interface EventSupportingResourcePool

extends ResourcePool

Nested Class Summary

Nested classes/interfaces inherited from interface com.mchange.v2.resourcepool.ResourcePool
`ResourcePool.Manager`

Field Summary

Fields inherited from interface com.mchange.v2.resourcepool.ResourcePool
`KNOWN_AND_AVAILABLE, KNOWN_AND_CHECKED_OUT, UNKNOWN_OR_PURGED`

Method Summary
`void` | `addResourcePoolListener(ResourcePoolListener rpl)` Events may be fired asynchronously: listeners must not rely on events to reflect the current state of the pool, but they will accurately represent the state of the pool in the recent past when the event-provoking incident occurred.
`void` | `removeResourcePoolListener(ResourcePoolListener rpl)`

Methods inherited from interface com.mchange.v2.resourcepool.ResourcePool
`checkinAll, checkinResource, checkoutResource, checkoutResource, close, close, getAvailableCount, getAwaitingCheckinCount, getEffectiveExpirationEnforcementDelay, getExcludedCount, getLastAcquisitionFailure, getLastCheckinFailure, getLastCheckoutFailure, getLastIdleCheckFailure, getLastResourceTestFailure, getMaxPoolSize, getMinPoolSize, getNumCheckoutWaiters, getNumFailedCheckins, getNumFailedCheckouts, getNumFailedIdleTests, getPoolSize, getStartTime, getUpTime, markBroken, resetPool, setPoolSize, statusInPool`

Method Detail

### addResourcePoolListener

    void addResourcePoolListener(ResourcePoolListener rpl)
                                 throws ResourcePoolException

  Events may be fired asynchronously: listeners must not rely on events to reflect the current state of the pool, but they will accurately represent the state of the pool in the recent past when the event-provoking incident occurred.

  Throws:
    `ResourcePoolException`

### removeResourcePoolListener

    void removeResourcePoolListener(ResourcePoolListener rpl)
                                    throws ResourcePoolException

  Throws:
    `ResourcePoolException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD